Subject: Re: [PATCH v5] clone: set submodule.recurse=true if user enables feature.experimental flag

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Aug 2021 12:53:00 -0700

Mahi Kolla <[email-masked]> writes:

> Unfortunately, the submodule.recurse variable can't be used as the
> opt-in flag because this would cause commands to run recursively even
> if developers don't have submodules in their project (aka don't run
> git clone --recurse-submodules).

If you cloned without recurse-submodules and lack submodules,
wouldn't it be a no-op to have submodule.recurse set to true, so it
would not hurt anyway?

IOW, that may already solve the original problem you wanted to
solve---those who want their submodules recursively descended into
by default can just set submodule.recurse to true (in ~/.gitconfig
presumably) and after "git clone" with --recurse-submodules they
will get what they want, no?  Am I missing something obvious?

Thanks.